<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CS 250 Data Structures: DataStructure::LinkedStack&lt; T &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CS 250 Data Structures
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceDataStructure.html">DataStructure</a></li><li class="navelem"><a class="el" href="classDataStructure_1_1LinkedStack.html">LinkedStack</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="#friends">Friends</a> &#124;
<a href="classDataStructure_1_1LinkedStack-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">DataStructure::LinkedStack&lt; T &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>A last-in-first-out (LIFO) stack structure built on top of a linked list.  
 <a href="classDataStructure_1_1LinkedStack.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="LinkedStack_8h_source.html">LinkedStack.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a7869f811b16b972eb784bdc7860ad3df"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDataStructure_1_1LinkedStack.html#a7869f811b16b972eb784bdc7860ad3df">Push</a> (const T &amp;newData)</td></tr>
<tr class="memdesc:a7869f811b16b972eb784bdc7860ad3df"><td class="mdescLeft">&#160;</td><td class="mdescRight">Push a new item into the back of the queue.  <a href="classDataStructure_1_1LinkedStack.html#a7869f811b16b972eb784bdc7860ad3df">More...</a><br /></td></tr>
<tr class="separator:a7869f811b16b972eb784bdc7860ad3df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a462b26029b986f4a74ace1692d2e5324"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDataStructure_1_1LinkedStack.html#a462b26029b986f4a74ace1692d2e5324">Pop</a> ()</td></tr>
<tr class="memdesc:a462b26029b986f4a74ace1692d2e5324"><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove the item at the front of the queue.  <a href="classDataStructure_1_1LinkedStack.html#a462b26029b986f4a74ace1692d2e5324">More...</a><br /></td></tr>
<tr class="separator:a462b26029b986f4a74ace1692d2e5324"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8297f19f36f622dee536746a71a47b5d"><td class="memItemLeft" align="right" valign="top">T &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDataStructure_1_1LinkedStack.html#a8297f19f36f622dee536746a71a47b5d">Top</a> ()</td></tr>
<tr class="memdesc:a8297f19f36f622dee536746a71a47b5d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the data at the front of the queue.  <a href="classDataStructure_1_1LinkedStack.html#a8297f19f36f622dee536746a71a47b5d">More...</a><br /></td></tr>
<tr class="separator:a8297f19f36f622dee536746a71a47b5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3579f7775c5ac97a8dbd97b51b886d5"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDataStructure_1_1LinkedStack.html#ab3579f7775c5ac97a8dbd97b51b886d5">Size</a> ()</td></tr>
<tr class="memdesc:ab3579f7775c5ac97a8dbd97b51b886d5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the amount of items in the queue.  <a href="classDataStructure_1_1LinkedStack.html#ab3579f7775c5ac97a8dbd97b51b886d5">More...</a><br /></td></tr>
<tr class="separator:ab3579f7775c5ac97a8dbd97b51b886d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1b779a8f193010fb3519a7882988a36"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDataStructure_1_1LinkedStack.html#ae1b779a8f193010fb3519a7882988a36">IsEmpty</a> ()</td></tr>
<tr class="memdesc:ae1b779a8f193010fb3519a7882988a36"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return whether the queue is empty.  <a href="classDataStructure_1_1LinkedStack.html#ae1b779a8f193010fb3519a7882988a36">More...</a><br /></td></tr>
<tr class="separator:ae1b779a8f193010fb3519a7882988a36"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a36bfc08ddd965779651e2d8aacd06485"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classDataStructure_1_1LinkedList.html">LinkedList</a>&lt; T &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDataStructure_1_1LinkedStack.html#a36bfc08ddd965779651e2d8aacd06485">m_list</a></td></tr>
<tr class="separator:a36bfc08ddd965779651e2d8aacd06485"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:a2118df8846e43115775918f6749561cf"><td class="memItemLeft" align="right" valign="top">class&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classDataStructure_1_1LinkedStack.html#a2118df8846e43115775918f6749561cf">StackTester</a></td></tr>
<tr class="separator:a2118df8846e43115775918f6749561cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><h3>template&lt;typename T&gt;<br />
class DataStructure::LinkedStack&lt; T &gt;</h3>

<p>A last-in-first-out (LIFO) stack structure built on top of a linked list. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="ae1b779a8f193010fb3519a7882988a36"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae1b779a8f193010fb3519a7882988a36">&#9670;&nbsp;</a></span>IsEmpty()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classDataStructure_1_1LinkedStack.html">DataStructure::LinkedStack</a>&lt; T &gt;::IsEmpty</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Return whether the queue is empty. </p>

</div>
</div>
<a id="a462b26029b986f4a74ace1692d2e5324"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a462b26029b986f4a74ace1692d2e5324">&#9670;&nbsp;</a></span>Pop()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classDataStructure_1_1LinkedStack.html">DataStructure::LinkedStack</a>&lt; T &gt;::Pop</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Remove the item at the front of the queue. </p>

</div>
</div>
<a id="a7869f811b16b972eb784bdc7860ad3df"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7869f811b16b972eb784bdc7860ad3df">&#9670;&nbsp;</a></span>Push()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classDataStructure_1_1LinkedStack.html">DataStructure::LinkedStack</a>&lt; T &gt;::Push </td>
          <td>(</td>
          <td class="paramtype">const T &amp;&#160;</td>
          <td class="paramname"><em>newData</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Push a new item into the back of the queue. </p>

</div>
</div>
<a id="ab3579f7775c5ac97a8dbd97b51b886d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab3579f7775c5ac97a8dbd97b51b886d5">&#9670;&nbsp;</a></span>Size()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="classDataStructure_1_1LinkedStack.html">DataStructure::LinkedStack</a>&lt; T &gt;::Size</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the amount of items in the queue. </p>

</div>
</div>
<a id="a8297f19f36f622dee536746a71a47b5d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8297f19f36f622dee536746a71a47b5d">&#9670;&nbsp;</a></span>Top()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T &amp; <a class="el" href="classDataStructure_1_1LinkedStack.html">DataStructure::LinkedStack</a>&lt; T &gt;::Top</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the data at the front of the queue. </p>

</div>
</div>
<h2 class="groupheader">Friends And Related Function Documentation</h2>
<a id="a2118df8846e43115775918f6749561cf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2118df8846e43115775918f6749561cf">&#9670;&nbsp;</a></span>StackTester</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">friend class <a class="el" href="classDataStructure_1_1StackTester.html">StackTester</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a36bfc08ddd965779651e2d8aacd06485"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a36bfc08ddd965779651e2d8aacd06485">&#9670;&nbsp;</a></span>m_list</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classDataStructure_1_1LinkedList.html">LinkedList</a>&lt;T&gt; <a class="el" href="classDataStructure_1_1LinkedStack.html">DataStructure::LinkedStack</a>&lt; T &gt;::m_list</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DataStructure/Stack/<a class="el" href="LinkedStack_8h_source.html">LinkedStack.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
